<template>
  <div class="user-setting-tariffing">
    <div class="row">
      <div class="col-xs-5">
        <div class="block">
          <div class="row">
            <div class="col-xs-12">
              <b>Срок перехода заказа в архив</b>
            </div>
          </div>
          <div class="row">
            <div class="col-xs-12">
              <p>
                Через сколько после оплаты заказ перейдет в архив.
              </p>
            </div>
          </div>
          <div class="row">
            <div class="col-xs-5">
              <ObInput
                  class="user-setting-tariffing__input"
                  label="Срок перехода в архив"
                  v-model="archiveData[0].value"
                  placeholder="Введите значение"
                  subTitle="дней"
                  @blur="update"
              />
            </div>
          </div>
        </div>
        <div class="block opacity-disabled">
          <div class="row">
            <div class="col-xs-12">
              <b>Срок предоставления POD</b>
            </div>
          </div>
          <div class="row">
            <div class="col-xs-12">
              <p>
                Через столько дней с момента исполнения наступает плановая дата
                предоставления документов
              </p>
            </div>
          </div>
          <div class="row">
            <div class="col-xs-5">
              <ObInput
                  class="user-setting-tariffing__input"
                  label="Срок предоставл-я POD"
                  v-model="days2"
                  placeholder="Введите значение"
                  subTitle="дней"
              />
            </div>
          </div>
        </div>
        <div class="block opacity-disabled">
          <div class="row">
            <div class="col-xs-12">
              <b>Срок оплаты</b>
            </div>
          </div>
          <div class="row">
            <div class="col-xs-12">
              <p>
                Через столько дней после подтверждения получения документов
                (нажали кнопку) наступает плановая дата оплаты
              </p>
            </div>
          </div>
          <div class="row">
            <div class="col-xs-5">
              <ObInput
                  class="user-setting-tariffing__input"
                  label="Срок оплаты"
                  v-model="days3"
                  placeholder="Введите значение"
                  subTitle="дней"
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import ObInput from "common-components/src/obComponents/obInput";
  import {mapActions, mapGetters} from "vuex";
  export default {
    name: "Archive",
    components: {
      ObInput
    },
    data() {
      return {
        days: 30,
        days2: 30,
        days3: 30,
        archiveData: []
      }
    },
    computed: {
      ...mapGetters({
        userUuid: 'user/participantUuid',
        settingsType: 'clicarSettings_2/settingsType',
        settings: 'clicarSettings_2/settings'
      })
    },
    methods: {
      ...mapActions({
        getSettings: 'clicarSettings_2/getSettings',
        getSettingsType: 'clicarSettings_2/getSettingsType',
        putSettings: 'clicarSettings_2/putSettings',
        update() {
          this.putSettings().then(() => {
            this.$notification({
              type: 'system_notification_success',
              message: 'Сохранено'
            })
          })
        }
      })
    },
    mounted() {
      this.getSettingsType('ARCHIVE')
      this.getSettings(this.userUuid).then( () => {
        this.archiveData = this.settings.archive
      })
    }
  }
</script>

<style scoped lang="scss">
  .user-setting-tariffing {
    .row {
      margin-bottom: 14px;
    }
    .block{
      margin-bottom: 30px;
    }
    .opacity-disabled{
      opacity: .5;
      pointer-events: none;
    }
  }
</style>